## Developing

Create a `.env` file in the root of the project with the following:

```
OPENAI_API_KEY="your-secret-key"
FONTAWESOME_NPM_AUTH_TOKEN="your-secret-key"
```

Optionally, you can remove the `.npmrc` file and the fontawesome packages. For some reason Vercel refuses to use the free NPM registries for fontawesome, so you can choose a different icon file/library for the trash can on the main screen if you don't have a paid Font Awesome account.

Once you've created a project and installed dependencies with `npm install` (or `pnpm install` or `yarn`), start a development server:

```bash
npm run dev

# or start the server and open the app in a new browser tab
npm run dev -- --open
```

## Building

To create a production version of your app:

```bash
npm run build
```

You can preview the production build with `npm run preview`.

> To deploy your app, you may need to install an [adapter](https://kit.svelte.dev/docs/adapters) for your target environment.
